### Method

# WebKit2 WebContext set_favicon_database_directory

#### Declaration [src]

    void
    webkit_web_context_set_favicon_database_directory (
      WebKitWebContext* context,
      const gchar* path
    )

#### Description [src]

Set the directory path to store the favicons database.

Set the directory path to be used to store the favicons database for `context` on disk. Passing `NULL` as `path` means using the default directory for the platform (see g_get_user_cache_dir()).

Calling this method also means enabling the favicons database for its use from the applications, so that’s why it’s expected to be called only once. Further calls for the same instance of `WebKitWebContext` won’t cause any effect.

#### Parameters

`path`

  Type: `const gchar*`

  An absolute path to the icon database directory or `NULL` to use the defaults.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.